Bug 221010 - Review Request: librfid - Free Software RFID library
Review Request: librfid - Free Software RFID library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-30 06:25 EST by kushaldas@gmail.com
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-31 03:21:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description kushaldas@gmail.com 2006-12-30 06:25:49 EST
Spec URL: http://freeshell.in/~kushal/librfid.spec
SRPM URL: http://freeshell.in/~kushal/librfid-0.1.0-1.src.rpm
Description: librfid is a Free Software RFID library. It implements the PCD (reader) side protocol stack of ISO 14443 A, ISO 14443 B, ISO 15693, 
Mifare Ultralight and Mifare Classic. Support for iCODE and other 13.56MHz based transponders is planned.
Comment 1 Brian Pepple 2006-12-30 14:25:57 EST
MD5Sum:
695e7f30f570a08407e42ed278ca2fe3  librfid-0.1.0.tar.bz2

Good:
* Source URL is canonical.
* License field in spec, match tarball license.
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros.
* All necessary BuildRequires listed.
* Files have appropriate permissions and owners.
* Package name conforms to the Fedora Naming Guidelines.
* rpmlint produces no errors.
* Package builds in Mock fine.
* Package install and uninstalls cleanly on FC6.

Minor:
* I really don't think you need to add the same docs that are in the main
package to the devel package.  This isn't a blocker, but I would drop them.

+1 APPROVED
Comment 2 Michael Schwendt 2006-12-30 17:52:34 EST
One thing to consider:

The %{_bindir}/send_script in the main package has a very generic
file name and bears the risk of creating a conflict with other
packages. The upstream authors are advised to choose a more unique
file name.
Comment 3 kushaldas@gmail.com 2006-12-31 03:18:44 EST
(In reply to comment #1)
> Minor:
> * I really don't think you need to add the same docs that are in the main
> package to the devel package.  This isn't a blocker, but I would drop them.
> 
> +1 APPROVED
Done :)
Comment 4 kushaldas@gmail.com 2006-12-31 03:19:55 EST
(In reply to comment #2)
> One thing to consider:
> 
> The %{_bindir}/send_script in the main package has a very generic
> file name and bears the risk of creating a conflict with other
> packages. The upstream authors are advised to choose a more unique
> file name.
> 

Will inform the upstream authors.
Comment 5 Harald Welte 2006-12-31 04:27:17 EST
(I'm the upstream author):

The send_script program has been renamed into librfid_send_script in our SVN
tree. The next release of the library will reflact that change.

Thanks for letting us know.

Note You need to log in before you can comment on or make changes to this bug.